Subject: bug#70794: 30.0.50; Add Rust compilation regex

From: Mattias Engdegård <[email-masked]>
Date: Mon, 3 Jun 2024 18:59:20 +0200

3 juni 2024 kl. 18.33 skrev Eli Zaretskii <[email-masked]>:

> Fine by me (I don't use Rust), but is the rule really broken?  What
> happens if you move it to the end?

It is indeed broken as written because it would match anything starting with 'warning:' to something that looks like an arrow further down the log which could be an unrelated message a megabyte away.

I could try to slap together a guess at what a better one would be but then again, I wouldn't use it myself (rarely use Rust and when I do it's one of those external packages which have their own patterns and more importantly active maintainers). Furthermore I don't have the time to go poking around in the rustc (or cargo?) source code to see what the message-emitting parts look like, which is very useful when adding patterns.

Even with the obvious fixes, the pattern would still be incomplete and not even match parts of the examples given. I'm happy to work with Rust users or package maintainers to work out details but I don't want to do a rush job now, nor delay Emacs 30.